Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface PublishArtifact

All Superinterfaces:
  Buildable

    public interface PublishArtifact

extends Buildable

A `PublishArtifact` is an artifact produced by a project.

Method Summary
`java.lang.String` | `getClassifier()` Returns the classifier of this published artifact.
`java.util.Date` | `getDate()` Returns the date that should be used when publishing this artifact.
`java.lang.String` | `getExtension()` Returns the extension of this published artifact.
`java.io.File` | `getFile()` Returns the file of this artifact.
`java.lang.String` | `getName()` Returns the name of the artifact.
`java.lang.String` | `getType()` Returns the type of the published artifact.

Methods inherited from interface org.gradle.api.Buildable
`getBuildDependencies`

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the artifact.

### getExtension

    java.lang.String getExtension()

  Returns the extension of this published artifact. Often the extendsion is the same as the type, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.

  See Also:
    `getType()`

### getType

    java.lang.String getType()

  Returns the type of the published artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.

  See Also:
    `getExtension()`

### getClassifier

    java.lang.String getClassifier()

  Returns the classifier of this published artifact.

### getFile

    java.io.File getFile()

  Returns the file of this artifact.

### getDate

    java.util.Date getDate()

  Returns the date that should be used when publishing this artifact. This is used in the module descriptor accompanying this artifact (the ivy.xml). If the date is not specified, the current date is used. If this artifact is published without an module descriptor, this property has no relevance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD